Create new Taxes for this location.

​

Body·

required

Cancellation token to cancel the operation.

  • Properties: 21

Responses

  • application/json
Request Example for post/v1/taxes
curl https://apiint.api.parpos.com/settings/v1/taxes \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'parpos-access-token: YOUR_SECRET_TOKEN' \
  --header 'parpos-location-token: YOUR_SECRET_TOKEN' \
  --data '{
  "Taxes": [
    {
      "Type": 1,
      "Amount": 5,
      "MinimumAmount": 0,
      "DisplayName": "Tax Display 1",
      "IsInclusive": false,
      "UseLocationRules": true,
      "CompoundTax": false,
      "CompoundTaxPriority": 1,
      "ExemptionEnabled": true,
      "RoundingMethod": 3,
      "OrderTotalType": 2,
      "ExemptionOrderAmount": 50,
      "ExemptionItemGroupId": 1,
      "LimitDestinations": false,
      "Destinations": [
        {
          "DestinationId": 333,
          "Id": 1
        }
      ],
      "ModifierItems": [
        1,
        2,
        3
      ],
      "NonRepeatingTaxBrackets": [
        {
          "From": 0,
          "TaxAmount": 10,
          "To": 1,
          "Id": 11
        }
      ],
      "RepeatingTaxBrackets": [
        {
          "From": 0,
          "TaxAmount": 10,
          "To": 1,
          "Id": 22
        }
      ],
      "AppliesTo": [
        4,
        5,
        6
      ],
      "Name": "Tax 1",
      "Id": -1
    }
  ],
  "BusinessDate": "2026-05-07T06:24:54.3268061+00:00",
  "IsImmediatePublish": false,
  "ChangesetName": "SaveTaxes"
}'
Success
{
  "Data": [
    {
      "Id": -1,
      "OriginalId": 67665373
    }
  ]
}